Developers
API ReferenceChat File

Retrieves a ChatFile resource

GET
/chat/chat-files/{id}/download

Retrieves a ChatFile resource

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

ChatFile identifier

Query Parameters

pdfContentType?boolean
Defaultfalse

Response Body

ChatFile resource

  1. response
id?string
Formatuuid
displayedName?string
Lengthlength <= 255
extension?|
Lengthlength <= 10
downloadUrl?string
Formaturl
downloadType?string
Value in"download-direct""download-new-tab""download-local-link"
Example Request
curl -X GET 'https://app.icproject.com/api/instance/demo/chat/chat-files/string/download'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "displayedName": "string",  "extension": "string",  "downloadUrl": "string",  "downloadType": "download-direct"}